import { useFetch as _useFetch } from '#app'

export async function useFetchRaw<T = any>(url: string, options?: any) {
  const { data, error, pending, refresh, execute } = await _useFetch<T>(url, options)
  return {
    data: {
      _rawValue: data.value,
    },
    error,
    pending,
    refresh,
    execute,
  }
}
